Skip to content

MediaCarouselsController_show

POST
/api/chat/media-carousels
curl --request POST \
--url https://api.streams.chat/api/chat/media-carousels \
--header 'Content-Type: application/json' \
--data '{ "heading": "example", "items": [ { "assetId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "title": "example", "description": "example", "alt": "example", "posterAssetId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" } ], "requestId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "streamId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "threadSessionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "replyToMessageId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'
Media typeapplication/json
object
heading
string
>= 1 characters <= 200 characters
items
required
Array<object>
>= 1 items <= 10 items
object
assetId
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
title
string
>= 1 characters <= 200 characters
description
string
>= 1 characters <= 2000 characters
alt
string
>= 1 characters <= 1000 characters
posterAssetId
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
requestId
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
streamId
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
threadSessionId
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
replyToMessageId
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
Examplegenerated
{
"heading": "example",
"items": [
{
"assetId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"title": "example",
"description": "example",
"alt": "example",
"posterAssetId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}
],
"requestId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"streamId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"threadSessionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"replyToMessageId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}